<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation to build AdvanceMAME.
</p>

<p>
This file contains the instructions to build the Advance
programs from the source archives.
<h2><a name="1">1</a> 
Build
</h2>
To build the Advance programs you need to have installed the
development tools.
<p>
What to install depends on your system, but in general you need the
GCC compiler, and the SDL library.
<p>
For Ubuntu run:
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ sudo apt-get update
$ sudo apt-get install build-essential git autoconf automake libsdl2-dev libasound2-dev libfreetype6-dev zlib1g-dev libexpat1-dev libslang2-dev libncurses5-dev
</pre>
</td></tr></table>
<p>
For Raspbian run:
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ sudo apt-get update
$ sudo apt-get install git autoconf automake libsdl2-dev libasound2-dev libfreetype6-dev zlib1g-dev libexpat1-dev libslang2-dev libncurses5-dev
</pre>
</td></tr></table>
<p>
Note that in Raspbian it's highly recommended to run the Advance
programs outside the X Window graphics environment to get the best
performance. For this reason the SDL library "libsdl2-dev" is not
required, and you can omit it if you like.
<p>
At this point you can get the source code from the <a href="http://www.advancemame.it">http://www.advancemame.it</a>
site, and untar it with:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ tar xf advancemame-*.tar.gz
$ cd advancemame-*
</pre>
</td></tr></table>
<p>
or alternatively you can get it directly with git:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ git clone https://github.com/amadvance/advancemame.git
$ cd advancemame
$ sh autogen.sh
</pre>
</td></tr></table>
<p>
Now you can build and install using the typical sequence of commands:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
$ ./configure
$ make -j3
$ sudo make install
</td></tr></table>
<p>
The -j3 option uses three parallel processes, speeding up the build.
<p>
The build process may be long, up to 45 minutes on a Raspberry Pi 3,
or 25 on Raspberry Pi 4.
<p>
No option is generally required. You can get the complete configure
option list with the `./configure --help' command.
<p>
The default installation prefix is /usr/local. You can change it
with the `--prefix=' option.
<p>
The default host configuration directory is /usr/local/etc. You can
change it with the `--sysconfdir=' option. Please note that instead
of /usr/etc is always used /etc.
<p>
The configure script automatically detects all the available
libraries and the optimization flags. You can use the
--with-sdl-prefix and --with-sdl2-prefix  option to search for the
SDL and SDL2 libraries in a specific location.
<p>
The `make install' command installs the binaries and the documentation.
<p>
The binaries are installed in $prefix/bin, the program data
files in $prefix/share/advance, the documentation in
$prefix/share/doc/advance, and the man pages in $prefix/man/man1.
<p>
In Mac OS X ensure that the directory $prefix/bin is in the
search PATH. Generally /usr/local/bin isn't.
<p>
After the installation, you can check if AdvanceMAME starts with:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ advmame robby
</pre>
</td></tr></table>
<p>
and AdvanceMESS with:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
$ advmess ti99_4a
</pre>
</td></tr></table>


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>



